### Method

# Gtk PrintOperationset_export_filename

#### Declaration [src]

    void
    gtk_print_operation_set_export_filename (
      GtkPrintOperation* op,
      const char* filename
    )

#### Description [src]

Sets up the `GtkPrintOperation` to generate a file instead of showing the print dialog.

The intended use of this function is for implementing “Export to PDF” actions. Currently, PDF is the only supported format.

“Print to PDF” support is independent of this and is done by letting the user pick the “Print to PDF” item from the list of printers in the print dialog.

Sets property | `Gtk.PrintOperation:export-filename`

#### Parameters

`filename`

  Type: `const char*`

  The filename for the exported file.

  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.